### How to Contribute

If you know a paper that should belong to this list, please send an
e-mail to either [Claus](mailto:caranha@cs.tsukuba.ac.jp) or [Felipe](mailto:fcampelo@ufmg.br), or report an issue on our [Github repo](https://github.com/fcampelo/EC-bestiary). The criteria for inclusion are quite simple: 

1. the work must be in a peer reviewed publication (journal or conference);  
2. the title or abstract must name the algorithm after the natural (or supernatural) metaphor on which it was based;  

It is also important to highlight that only the earliest known mention for each metaphor is included.

### More Info:
- If you liked this list, you should read the paper "[Metaheuristic: The Metaphor Exposed](http://onlinelibrary.wiley.com/doi/10.1111/itor.12001/epdf)", by Kenneth Söresen  
- Need inspiration for your next Bioinspired algorithm? Check Marco Scirea and Julian Togelius' [Daily Bio-heuristics bot](https://twitter.com/BioHeuristics).  
- Some of the algorithms listed here were found in a list compiled by Iztok Fister Jr. _et al._, which is available [here](http://www.iztok-jr-fister.eu/static/publications/21.pdf). Iztok also recently published [this paper](http://www.iztok-jr-fister.eu/static/publications/Stu2016.pdf) reflecting on the proliferation of metaphors in EC research.  
- A fantastic parody of this whole metaphor craze can be read [here](http://www.oneweirdkerneltrick.com/spectral.pdf). Highly recommended!

### License:
This work is licensed under the Creative Commons CC BY-NC-SA 4.0 license (Attribution Non-Commercial Share Alike International License version 4.0): [http://creativecommons.org/licenses/by-nc-sa/4.0/](http://creativecommons.org/licenses/by-nc-sa/4.0/)
