> "Till now, madness has been thought a small island in an ocean of sanity. I am beginning to suspect that it is not an island at all but a continent." -- [Machado de Assis](https://en.wikipedia.org/wiki/Machado_de_Assis), *[The Psychiatrist](https://en.wikipedia.org/wiki/O_alienista)*.

***

## Introduction

The field of meta-heuristic search algorithms has a long history of finding inspiration in 
natural systems. Starting from classics such as Genetic Algorithms and Ant Colony Optimization, 
the last two decades have witnessed a fireworks-style explosion (pun intended) of natural 
(and sometimes supernatural) heuristics - from Birds and Bees to Zombies and Reincarnation.

The goal of the Evolutionary Computation Bestiary is to catalog the, ermm... exuberance of 
the meta-heuristic "eco-system". We try to keep a list of the many different animals, plants, 
microbes, natural phenomena and supernatural activities that can be spotted in the wild lands 
of the metaphor-based computation literature.

While we personally believe that the literature could do with more mathematics and less 
marsupials, and that we, as a community, should grow past this metaphor-rich phase in our 
field's history (a bit like chemistry outgrew alchemy), please note that this list makes no 
claims about the scientific quality of the papers listed. The EC Bestiary puts classic works of 
the metaheuristics literature (e.g., GAs, ACO) and some that describe their methods in mostly 
metaphor-free language (e.g., JTF, CFO) side by side with others for which the scientific rigor 
is, to put it mildly, lacking. In short, it is not a Hall of Fame of algorithms - think of it 
more as [The island of Doctor Moreau](https://en.wikipedia.org/wiki/The_Island_of_Doctor_Moreau): 
a place with a few good creatures, but which are vastly outnumbered by mindless beasts.

Finally, if you know a metaphor-based method that is not listed here, or if you know of an 
earlier mention of a listed method, please see the bottom of the page on how to contribute!

******

## The Bestiary
![BioHeuristics GO](img/BioHeuristics%20GO.png)
